$(document).ready(function() {
    var englishCountriesDropDown = $("#englishCountriesList");
    if (englishCountriesDropDown) {
        $(englishCountriesDropDown).children().each(function(i, el) {
            if ($(el).val() == $(englishCountriesDropDown).parent().children('textarea').val()) {
                $(el).attr("selected", "selected");
                return;
            }
        });
    }

    var textareaText = $("#countryPagesCheckboxes").parent().children('textarea').val();
    if (textareaText) {
        $("#countryPagesCheckboxes").children('input').each(function(i, el) {
            if ($(el).is(':checked')) {
                textareaText += $(el).val() + ";";
            }
        });
        $("#countryPagesCheckboxes").parent().children('textarea').val(textareaText);
    }

    // zaznaczanie aktywnych inputów
    var currentText = $("#countryPagesCheckboxes").parent().children('textarea').val();
    if (currentText) {
        var currentTextSplitted = currentText.split(';');
        var inputs = $("#countryPagesCheckboxes").children('div').children('input');
        $(currentTextSplitted).each(function(i, el) {
            $(inputs).each(function(inputsi, inputsel) {
                if ($(inputsel).val() == el) {
                    $(inputsel).attr('checked', 'checked');
                    $(inputsel).parent('.countryChckbxSingle').css('backgroundColor', '#3FC7EE');
                }
            });
        });
    }
});

    var addCountry = function(sender) {
        var currentText = $("#countryPagesCheckboxes").parent().children('textarea').val();
        if ($(sender).is(':checked')) {
            $("#countryPagesCheckboxes").parent().children('textarea').val(currentText + $(sender).val() + ";");
            $(sender).parent('.countryChckbxSingle').css('backgroundColor', '#3FC7EE');
        } else {
            currentText = currentText.replace($(sender).val() + ";", '');
            $("#countryPagesCheckboxes").parent().children('textarea').val(currentText);
            $(sender).parent('.countryChckbxSingle').css('backgroundColor', '#f4f4f4');

        }
        return false;
    }

    var addCountryFromParent = function(sender) {
        if ($(sender).children('input').is(':checked')) {
            $(sender).children('input').attr("checked", false).change();
        } else {
            $(sender).children('input').attr("checked", true).change();
        }

        return false;
    }

    var makeActive = function(sender) {
        $(sender).css('background', '#3FC7EE');
    }

    var makeInactive = function(sender) {
        if ($(sender).children('input').is(':checked')) {

        } else {
            $(sender).css('background', '#f4f4f4');
        }

    }